import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    color: '#31C3A6',
    mode: true,
    // 按钮权限
    buttons: ['menu:add', 'menu:del']
  },
  mutations: {
    setColor(state, data) {
      state.color = data
    },
    setMode(state, data){
      state.mode = data
    },
    SET_BUTTONS(state, data) {
      state.buttons = data
    }
  },
  actions: {
    setModeAsync(context, data) {
      context.commit('setMode' ,data)
    },
    setColorAsync(context, data) {
      context.commit('setColor', data)
    }
  },
  modules: {
  },
  getters: {
    buttons: state => state.buttons
  }
})
