import axios from './http';

/**  登录相关   **/
// 登录
export function Login(data) {
  return axios({
    url: '/my/login',
    method: 'post',
    data: data
  })
}
// 根据用户id 拿到默认的 颜色 和 导航栏
export function findOne(data) {
  return axios({
    url: '/account/findOne',
    method: 'get',
    params: data
  })
}

// 根据id 修改 默认样式 导航
export function findUpdate(data) {
  return axios({
    url: '/account/update',
    method: 'post',
    data: data
  })
}

/**  系统管理api  **/
// 获取菜单用户列表
export function getUserMenu(data) {
  return axios({
    url: '/auth/getMyMenu',
    method: 'post',
    params: data
  })
}

export function getUserMenuAndButon(data) {
  return axios({
    url: '/auth/getMyMenuAndButton',
    method: 'post',
    params: data,
  })
}

// 获取纯菜单(不带按钮)
export function getMenuList() {
  return axios({
    url: '/menu/list1',
    method: 'post',
  })
}

// 获取菜单列表
export function getMenu() {
  return axios({
    url: '/menu/list',
    method: 'post'
  })
}

// 菜单添加
export function addMenu(data) {
  return axios({
    url: '/menu/add',
    method: 'post',
    data: data
  })
}

// 菜单编辑
export function editMenu(data) {
  return axios({
    url: '/menu/edit',
    method: 'post',
    data: data
  })
}

// 菜单删除
export function delMenu(data) {
  return axios({
    url: '/menu/remove',
    method: 'post',
    params: data
  })
}

// 权限列表
export function getAuth(data) {
  return axios({
    url: '/group/list',
    method: 'post',
    data: data
  })
}

// 权限列表删除
export function delAuth(data) {
  return axios({
    url: '/group/remove',
    method: 'post',
    params: data
  })
}

// 新增权限组
export function addAuth(data) {
  return axios({
    url: '/group/add',
    method: 'post',
    data: data
  })
}

// 编辑权限组
export function editAuth(data) {
  return axios({
    url: '/group/edit',
    method: 'post',
    data: data
  })
}

// 权限分配列表(上次保存的菜单)
export function getMenuByGroup(data) {
  return axios({
    url: '/auth/getMenuByGroup',
    method: 'get',
    params: data
  })
}

// 权限分配保存
export function saveGroupMenu(data) {
  return axios({
    url: '/auth/saveGroupMenu',
    method: 'post',
    data: data
  })
}

// 用户分配(上次保存的用户id)
export function getAcountByGroup(data) {
  return axios({
    url: '/auth/getAcountByGroup',
    method: 'get',
    params: data
  })
}

// 用户分配保存
export function saveAccountGroup(data) {
  return axios({
    url: '/auth/saveAccountGroup',
    method: 'post',
    data: data
  })
}

// 获取用户列表
export function getUserList(data) {
  return axios({
    url: '/user/list',
    method: 'post',
    data: data
  })
}
